.rock {
background-color: rgb(112, 61, 61);
}
.fighting{
  background-color: rgb(207, 9, 9);
}
.ghost {
background-color: rgb(199, 195, 195);
}
.electric {
background-color: rgb(240, 240, 40);
}
.bug {
background-color: #f5cf97;
}
.poison {
background-color: #ce60fa;
}
.normal {
background-color: #eed5d5;
}
.fairy {
background-color: rgba(252, 175, 188, 0.863);
}
.fire {
background-color: #ee4527;
}
.grass {
background-color:#7ef57a;
}
.water {
background-color:#5eb6f5;
}
.steel{
  background-color:#636363;
}
.ground{
background-color:rgba(155, 37, 37, 0.678);
}
.psychic{
background-color:#8A1C7C;
}
.ice{
background-color:#aedafa;
}
.dragon{
  background-color:white;
  color: black;

}
.dark{
  background-color: black;
}
.flying{
background-color: lightgrey;
}


.app{
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
    min-height: 100 vh;
    padding: 3rem 0.5rem;
}

.pokemon{
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
}

.all{
    display:flex;
    flex-wrap: wrap;
    align-items:center;
    justify-content:center;
}

.thumb{
    display:flex;
    flex-direction: column;
    align-items:center;
    justify-content:center;
    padding: 1.5rem 0;
    margin: 0.3rem;
    border: 1px solid #efefef;
    border-radius:0.2rem;
    text-align: center;
    box-shadow: 0 3px 15px rgb(0, 0, 0 0.089);
}

h3{
    margin-bottom:0.2rem;
}
.thumb .number {
    border-radius: 1rem;
    padding: 0.2rem 0.4rem;
    background-color: rgba(255,255,255,0.3);
  }
  .thumb img {
    width: 120px;
    height: 120px;
  }
  .thumb small {
    text-transform: capitalize;
  }
  .detail {
    display: flex;
    flex-direction: column;
    width: 100%;
  }
  .detail button {
    color: rgb(22, 22, 22);
    padding: .5rem;
    margin-top: 1rem;
    border: none;
    border-radius: 0.2rem;
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.185);
  }

.load{
    background: #f5f5f5 linear-gradient(#f5f5f5,#f1f1f1) repeat-x;
    border-radius: 2px;
    border: 1px solid #c6c6c6;
    color: #444;
    padding: 0.5rem 1.5rem;
    min-width: 50%;
    margin-top: 1rem;
    cursor: pointer;
  }

  .back{
    color:#E4EEE8;
    min-width: 10%;
    margin-top: 1rem;
    cursor: pointer;
    background: #8fcfeb;
    width: 28px;
    height: 30px;
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    position: absolute;
    top: 0;
    right: 90%;
    }
